Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 73)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 75)
@@ -5,6 +5,7 @@
 ! -----------------
 ! checking for negative q and limiting for positive values,
-! z0 removed from arguments in calls of diffusion_u/v/w,
-! subroutine names changed to .._noopt, .._cache, and .._vector
+! z0 removed from arguments in calls of diffusion_u/v/w, uxrp, vynp eliminated,
+! subroutine names changed to .._noopt, .._cache, and .._vector,
+! moisture renamed humidity
 !
 ! Former revisions:
@@ -102,5 +103,5 @@
 !-- global communication
     CALL calc_mean_pt_profile( pt, 4 )
-    IF ( moisture )  CALL calc_mean_pt_profile( vpt, 44 )
+    IF ( humidity )  CALL calc_mean_pt_profile( vpt, 44 )
 
 !
@@ -117,5 +118,5 @@
 !
 !-- u-tendency terms with no communication
-    DO  i = nxl, nxr+uxrp
+    DO  i = nxl, nxr
        DO  j = nys, nyn
 !
@@ -186,5 +187,5 @@
 !-- v-tendency terms with no communication
     DO  i = nxl, nxr
-       DO  j = nys, nyn+vynp
+       DO  j = nys, nyn
 !
 !--       Tendency terms
@@ -273,5 +274,5 @@
           ENDIF
           CALL coriolis( i, j, 3 )
-          IF ( .NOT. moisture )  THEN
+          IF ( .NOT. humidity )  THEN
              CALL buoyancy( i, j, pt, 3, 4 )
           ELSE
@@ -410,5 +411,5 @@
 !
 !-- If required, compute prognostic equation for total water content / scalar
-    IF ( moisture  .OR.  passive_scalar )  THEN
+    IF ( humidity  .OR.  passive_scalar )  THEN
 
        CALL cpu_log( log_point(29), 'q/s-equation', 'start' )
@@ -550,5 +551,5 @@
              IF ( scalar_advec == 'bc-scheme'  .AND.  &
                   .NOT. use_upstream_for_tke )  THEN
-                IF ( .NOT. moisture )  THEN
+                IF ( .NOT. humidity )  THEN
                    CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e, km, &
                                      l_grid, pt, rif, tend, zu )
@@ -575,5 +576,5 @@
                 IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )&
                 THEN
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e_m, &
                                         km_m, l_grid, pt_m, rif_m, tend, zu )
@@ -583,5 +584,5 @@
                    ENDIF
                 ELSE
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e, km, &
                                         l_grid, pt, rif, tend, zu )
@@ -661,5 +662,5 @@
 !-- global communication
     CALL calc_mean_pt_profile( pt, 4 )
-    IF ( moisture )  CALL calc_mean_pt_profile( vpt, 44 )
+    IF ( humidity )  CALL calc_mean_pt_profile( vpt, 44 )
     IF ( .NOT. constant_diffusion )  CALL production_e_init
 
@@ -669,6 +670,6 @@
 !$OMP PARALLEL private (i,j,k)
 !$OMP DO
-    DO  i = nxl, nxr+uxrp       ! Additional levels for non cyclic boundary
-       DO  j = nys, nyn+vynp    ! conditions are included
+    DO  i = nxl, nxr
+       DO  j = nys, nyn
 !
 !--       Tendency terms for u-velocity component
@@ -789,5 +790,5 @@
              ENDIF
              CALL coriolis( i, j, 3 )
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 CALL buoyancy( i, j, pt, 3, 4 )
              ELSE
@@ -881,5 +882,5 @@
 !--          If required, compute prognostic equation for total water content /
 !--          scalar
-             IF ( moisture  .OR.  passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
 
 !
@@ -954,5 +955,5 @@
                 IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )&
                 THEN
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e_m, &
                                         km_m, l_grid, pt_m, rif_m, tend, zu )
@@ -962,5 +963,5 @@
                    ENDIF
                 ELSE
-                   IF ( .NOT. moisture )  THEN
+                   IF ( .NOT. humidity )  THEN
                       CALL diffusion_e( i, j, ddzu, dd2zu, ddzw, diss, e, km, &
                                         l_grid, pt, rif, tend, zu )
@@ -1032,5 +1033,5 @@
 !-- global communication
     CALL calc_mean_pt_profile( pt, 4 )
-    IF ( moisture )  CALL calc_mean_pt_profile( vpt, 44 )
+    IF ( humidity )  CALL calc_mean_pt_profile( vpt, 44 )
 
 !
@@ -1068,5 +1069,5 @@
 !
 !-- Prognostic equation for u-velocity component
-    DO  i = nxl, nxr+uxrp
+    DO  i = nxl, nxr
        DO  j = nys, nyn
           DO  k = nzb_u_inner(j,i)+1, nzt
@@ -1085,5 +1086,5 @@
     IF ( timestep_scheme(1:5) == 'runge' )  THEN
        IF ( intermediate_timestep_count == 1 )  THEN
-          DO  i = nxl, nxr+uxrp
+          DO  i = nxl, nxr
              DO  j = nys, nyn
                 DO  k = nzb_u_inner(j,i)+1, nzt
@@ -1094,5 +1095,5 @@
        ELSEIF ( intermediate_timestep_count < &
                 intermediate_timestep_count_max )  THEN
-          DO  i = nxl, nxr+uxrp
+          DO  i = nxl, nxr
              DO  j = nys, nyn
                 DO  k = nzb_u_inner(j,i)+1, nzt
@@ -1140,5 +1141,5 @@
 !-- Prognostic equation for v-velocity component
     DO  i = nxl, nxr
-       DO  j = nys, nyn+vynp
+       DO  j = nys, nyn
           DO  k = nzb_v_inner(j,i)+1, nzt
              v_p(k,j,i) = ( 1.0-tsc(1) ) * v_m(k,j,i) + tsc(1) * v(k,j,i) +    &
@@ -1157,5 +1158,5 @@
        IF ( intermediate_timestep_count == 1 )  THEN
           DO  i = nxl, nxr
-             DO  j = nys, nyn+vynp
+             DO  j = nys, nyn
                 DO  k = nzb_v_inner(j,i)+1, nzt
                    tv_m(k,j,i) = tend(k,j,i)
@@ -1166,5 +1167,5 @@
                 intermediate_timestep_count_max )  THEN
           DO  i = nxl, nxr
-             DO  j = nys, nyn+vynp
+             DO  j = nys, nyn
                 DO  k = nzb_v_inner(j,i)+1, nzt
                    tv_m(k,j,i) = -9.5625 * tend(k,j,i) + 5.3125 * tv_m(k,j,i)
@@ -1206,5 +1207,5 @@
     ENDIF
     CALL coriolis( 3 )
-    IF ( .NOT. moisture )  THEN
+    IF ( .NOT. humidity )  THEN
        CALL buoyancy( pt, 3, 4 )
     ELSE
@@ -1355,5 +1356,5 @@
 !
 !-- If required, compute prognostic equation for total water content / scalar
-    IF ( moisture  .OR.  passive_scalar )  THEN
+    IF ( humidity  .OR.  passive_scalar )  THEN
 
        CALL cpu_log( log_point(29), 'q/s-equation', 'start' )
@@ -1493,5 +1494,5 @@
        IF ( scalar_advec == 'bc-scheme'  .AND.  .NOT. use_upstream_for_tke )  &
        THEN
-          IF ( .NOT. moisture )  THEN
+          IF ( .NOT. humidity )  THEN
              CALL diffusion_e( ddzu, dd2zu, ddzw, diss, e, km, l_grid, pt, &
                                rif, tend, zu )
@@ -1516,5 +1517,5 @@
           ENDIF
           IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )  THEN
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 CALL diffusion_e( ddzu, dd2zu, ddzw, diss, e_m, km_m, l_grid, &
                                   pt_m, rif_m, tend, zu )
@@ -1524,5 +1525,5 @@
              ENDIF
           ELSE
-             IF ( .NOT. moisture )  THEN
+             IF ( .NOT. humidity )  THEN
                 CALL diffusion_e( ddzu, dd2zu, ddzw, diss, e, km, l_grid, pt, &
                                   rif, tend, zu )
